package com.example.andersb.fragmentsadddynamically;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.Display;
import android.view.Menu;
import android.view.MenuItem;
import android.view.WindowManager;

// Lee page 71
public class FragmentsActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // setContentView(R.layout.activity_fragments); // show Fragment statically
        showFragmentDynamically();
    }

    private void showFragmentDynamically() {
        // Lee page 74
        FragmentManager fragmentManager = getFragmentManager();
        FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
        WindowManager windowManager = getWindowManager();
        // Display display = windowManager.getDefaultDisplay();
        //if (display.getWidth() > display.getHeight()) { // Deprecated
        if (getResources().getConfiguration().orientation == Configuration.ORIENTATION_LANDSCAPE) {
            // http://stackoverflow.com/questions/5112118/how-to-detect-orientation-of-android-device
            Fragment1 fragment1 = new Fragment1();
            Bundle parameters = new Bundle();
            parameters.putString(Fragment1.MESSAGE, "Hello Anders");
            fragment1.setArguments(parameters);
            fragmentTransaction.replace(android.R.id.content, fragment1);
        } else {
            Fragment2 fragment2 = new Fragment2();
            fragmentTransaction.replace(android.R.id.content, fragment2);
        }
        fragmentTransaction.commit();
    }

}
